// see http://vuejs-templates.github.io/webpack for documentation.
var path = require("path");
const dvmConfig = require("../utils/load-config").dvmConfig();

module.exports = {
  build: {
    env: require("./prod.env"),
    index: path.resolve(dvmConfig.dist_web_abs(), "index.html"),
    assetsRoot: dvmConfig.dist_web_abs(),
    assetsSubDirectory: "static",
    assetsPublicPath: dvmConfig.directories.public_path || "/",
    productionSourceMap: true,
    // Gzip off by default as many popular static hosts such as
    // Surge or Netlify already gzip all static assets for you.
    // Before setting to `true`, make sure to:
    // npm install --save-dev compression-webpack-plugin
    productionGzip: false,
    productionGzipExtensions: ["js", "css"],
    // Run the build command with an extra argument to
    // View the bundle analyzer report after build finishes:
    // `npm run build --report`
    // Set to `true` or `false` to always turn it on or off
    bundleAnalyzerReport: process.env.npm_config_report
  },
  dev: {
    env: require("./dev.env"),
    assetsRoot: path.resolve(__dirname, "../../dvm-app"),
    assetsSubDirectory: "static",
    assetsPublicPath: "/",
    index: path.resolve(__dirname, "../../dvm-app/index.html"),
    proxyTable: {},
    // CSS Sourcemaps off by default because relative paths are "buggy"
    // with this option, according to the CSS-Loader README
    // (https://github.com/webpack/css-loader#sourcemaps)
    // In our experience, they generally work as expected,
    // just be aware of this issue when enabling this option.
    cssSourceMap: false
  }
};
